summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author LukenShiro2012-12-29 12:30:18 +0100
committer Matteo Bernardini2012-12-29 12:50:23 +0100
commitd71f7af76c0465a74ee99032804b2b65ea85abc7 (patch)
tree26bef687f74e3a72121e7caf61f310b971568e0b /perl
parent000ddf7ba3f8799ac46fa85e172e61c4ddbf3445 (diff)
downloadslackbuilds-d71f7af76c0465a74ee99032804b2b65ea85abc7.tar.gz
perl/perl-net-ip: Updated for version 1.26.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-net-ip/perl-net-ip.SlackBuild35
-rw-r--r--perl/perl-net-ip/perl-net-ip.info6
2 files changed, 15 insertions, 26 deletions
diff --git a/perl/perl-net-ip/perl-net-ip.SlackBuild b/perl/perl-net-ip/perl-net-ip.SlackBuild
index 8a420f37c9..95f7b5da4e 100644
--- a/perl/perl-net-ip/perl-net-ip.SlackBuild
+++ b/perl/perl-net-ip/perl-net-ip.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-net-ip
-# Copyright 2008 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2013 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,16 +25,14 @@
PRGNAM=perl-net-ip
SRC_PRGNAM=Net-IP
-VERSION=${VERSION:-1.25}
+VERSION=${VERSION:-1.26}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,29 +59,20 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | perl Makefile.PL INSTALLDIRS=vendor
-
+echo "y" | perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
-
-# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
-
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
-
-# compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/perl/perl-net-ip/perl-net-ip.info b/perl/perl-net-ip/perl-net-ip.info
index f2b8d6274b..459519ab08 100644
--- a/perl/perl-net-ip/perl-net-ip.info
+++ b/perl/perl-net-ip/perl-net-ip.info
@@ -1,8 +1,8 @@
PRGNAM="perl-net-ip"
-VERSION="1.25"
+VERSION="1.26"
HOMEPAGE="http://search.cpan.org/dist/Net-IP/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MA/MANU/Net-IP-1.25.tar.gz"
-MD5SUM="a49c0b02a9b793ff60191cdafc0c202e"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MA/MANU/Net-IP-1.26.tar.gz"
+MD5SUM="3a98e3ac45d69ea38a63a7e678bd716d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""